[tool.poetry]
name = "srcignore"
version = "0.0.2"
description = "Generates a list of files that matches .gitignore-like files"
authors = ["Calian AT"]
readme = "README.adoc"
homepage = "https://calian.com/"
repository = "https://gitlab.com/brayden.willenborg/srcignore"
license = "MIT"
packages = [
  {include = "srcignore", from  = "src"}
]

[tool.poetry.scripts]
srcignore = "srcignore.main:app"

[tool.poetry.dependencies]
python = "^3.11"
gitignore-parser = "^0.1.11"
typer = "^0.12.3"

[tool.poetry.group.dev.dependencies]
pytest = "^8.2.0"

[tool.pytest.ini_options]
pythonpath = [
  "src"
]

[tool.mypy]
mypy_path = [
  "$MYPY_CONFIG_FILE_DIR/src"
]

[build-system]
requires = ["poetry-core>=1.0.0"]
